UpdateAdmin
/api/v1/admins/{admin}Update an administrator.
Example request
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "user": "string" }' \ "https://us.oblique.security/api/v1/admins/{admin}?updateMask=user"Set OBLIQUE_API_KEY to your API key.
curl -X PATCH \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "user": "string" }' \ "https://eu.oblique.security/api/v1/admins/{admin}?updateMask=user"Set OBLIQUE_API_KEY to your API key.
Path parameters
admin.namestringrequiredAssigned by Oblique. The name of the admin resource. This is an arbitrary string and does not have to match the user’s name.
Query parameters
allowMissingbooleanIf set to true, and the admin is not found, a new admin will be created with the given name. If created in this way, update_mask is ignored.
updateMaskstring (field-mask)The list of fields to update.
Request body
managementManagementHow this admin is managed. Set automatically by the server based on the calling client. Omitted from responses when the admin is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
userstringrequiredThe user that has been granted admin privileges.
Format:
users/{user}createTimestring (date-time)read-onlyThe time the admin was created.
updateTimestring (date-time)read-onlyThe time the admin was last updated.
Response
200AdminAdmins are the set of users responsible for managing Oblique. They have special permissions to own API objects that aren’t explicitly owned by another user, team, or group. They are also responsible for system settings like integrations.
namestringAssigned by Oblique. The name of the admin resource. This is an arbitrary string and does not have to match the user’s name.
managementManagementHow this admin is managed. Set automatically by the server based on the calling client. Omitted from responses when the admin is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
userstringrequiredThe user that has been granted admin privileges.
Format:
users/{user}createTimestring (date-time)read-onlyThe time the admin was created.
updateTimestring (date-time)read-onlyThe time the admin was last updated.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |